import { Component, OnInit } from '@angular/core';
import { IonicModule } from '@ionic/angular';
import * as Parse from 'parse';

@Component({
  selector: 'app-notice',
  templateUrl: './notice.component.html',
  styleUrls: ['./notice.component.scss'],
  standalone: true,
  imports: [IonicModule],
})
export class NoticeComponent implements OnInit {
  active: string = 'notice';
  noticeList: Array<Object> = [
    {
      avatar: '',
      name: '系统消息',
      content: '',
      createdAt: new Date(),
    },
    {
      avatar: '',
      name: '系统消息',
      content: '',
      createdAt: new Date(),
    },
    {
      avatar: '',
      name: '系统消息',
      content: '',
      createdAt: new Date(),
    },
  ];
  friends: Array<Object> = [];
  constructor() {}

  ngOnInit() {}
  segmentChanged(e: any) {
    let { value } = e.detail;
    this.active = value;
  }
  times: number = 0;
  timer: any;
  startPress() {
    this.times += 100;
    if (this.times >= 500) {
      console.log(this.times);
      return;
    }
    this.timer = setTimeout(() => {
      this.startPress();
    }, 100);
  }
  stopPress() {
    clearTimeout(this.timer);
    this.times = 0;
  }
}
